Skip to main content

Resources

Resources are files that are managed by a workspace. A resource is accessible from /api/workspaces/{workspace-id}/resources by its path.


Objects

Resource

PathJSON TypeFormatDescription
pathstringThe resource path
createdstringISO 8601 timestampThe instant the resource was created at
lastModifiedstringISO 8601 timestampThe instant the resource was last modified at
contentTypestringMIME typeThe content type of the resource
contentstringThe content of the resource
{
"path" : "embedded/test.json",
"created" : "2026-06-10T07:08:27.869233",
"lastModified" : "2026-06-10T07:08:27.980292",
"contentType" : "application/json",
"content" : "{ \"testKey\": \"testValue\"}",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
}
}
}

Requests

View a resource in a workspace

GET /api/workspaces/{workspace-id}/resources/{resource-path}

Returns the resource {resource-path} in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • Resource {resource-path} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json' -i -X GET \
-H 'Accept: application/hal+json'

Response

200 OK

Resource with HAL links.

{
"path" : "embedded/test.json",
"created" : "2026-06-10T07:08:27.869233",
"lastModified" : "2026-06-10T07:08:27.980292",
"contentType" : "application/json",
"content" : "{ \"testKey\": \"testValue\"}",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
}
}
}

View the content of a resource in a workspace

GET /api/workspaces/{workspace-id}/resources/{resource-path}

Returns the content of the resource {resource-path} in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • Resource {resource-path} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json' -i -X GET

Response

200 OK

The resource content.

{
"testKey" : "testValue"
}

View all resources in a workspace

GET /api/workspaces/{workspace-id}/resources

Returns all resources in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • Resource {resource-path} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources' -i -X GET

Response

200 OK

Resource collection with HAL links.

{
"_embedded" : {
"resources" : [ {
"path" : "files/test.pdf",
"created" : "2026-06-10T07:08:28.976118",
"lastModified" : "2026-06-10T07:08:28.976118",
"contentType" : "application/pdf",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.pdf"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.pdf"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.pdf"
}
}
}, {
"path" : "files/test.html",
"created" : "2026-06-10T07:08:28.974426",
"lastModified" : "2026-06-10T07:08:28.974426",
"contentType" : "text/html",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.html"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.html"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.html"
}
}
}, {
"path" : "files/test.json",
"created" : "2026-06-10T07:08:28.970499",
"lastModified" : "2026-06-10T07:08:28.9705",
"contentType" : "application/json",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.json"
}
}
}, {
"path" : "embedded/test.json",
"created" : "2026-06-10T07:08:27.869233",
"lastModified" : "2026-06-10T07:08:27.980292",
"contentType" : "application/json",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}

Publish multiple resources to a workspace

POST /api/workspaces/{workspace-id}/resources

Publishes multiple resources to the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources' -i -X POST \
-H 'Content-Type: multipart/form-data; boundary="Az4F6upLUBfjbVdMhYSg1vaICP8iBY2zeKqn1Kso"' \
-F 'files/test.json=@test.json;type=application/json' \
-F 'files/test.html=@test.html;type=text/html' \
-F 'files/test.pdf=@test.pdf;type=application/pdf'

Response

200 OK

Resource collection with HAL links.

{
"_embedded" : {
"resources" : [ {
"path" : "files/test.pdf",
"created" : "2026-06-10T07:08:28.976118",
"lastModified" : "2026-06-10T07:08:28.976118",
"contentType" : "application/pdf",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.pdf"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.pdf"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.pdf"
}
}
}, {
"path" : "files/test.html",
"created" : "2026-06-10T07:08:28.974426",
"lastModified" : "2026-06-10T07:08:28.974426",
"contentType" : "text/html",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.html"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.html"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.html"
}
}
}, {
"path" : "files/test.json",
"created" : "2026-06-10T07:08:28.970499",
"lastModified" : "2026-06-10T07:08:28.9705",
"contentType" : "application/json",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/files/test.json"
}
}
}, {
"path" : "embedded/test.json",
"created" : "2026-06-10T07:08:27.869233",
"lastModified" : "2026-06-10T07:08:27.980292",
"contentType" : "application/json",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources"
}
},
"page" : {
"size" : 4,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}

Create or update a resource in a workspace

PUT /api/workspaces/{workspace-id}/resources/{resource-path}

Creates or updates the resource {resource-path} in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist

Body

Resource resource.

{
"contentType" : "application/json",
"content" : "{ \"testKey\": \"testValue\"}"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json' -i -X PUT \
-H 'Content-Type: application/hal+json; charset=ISO-8859-1' \
-d '{
"contentType" : "application/json",
"content" : "{ \"testKey\": \"testValue\"}"
}'

Response

200 OK / 201 Created

Resource with HAL links.

{
"path" : "embedded/test.json",
"created" : "2026-06-10T07:08:27.869233",
"lastModified" : "2026-06-10T07:08:27.980291765",
"contentType" : "application/json",
"content" : "{ \"testKey\": \"testValue\"}",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"update resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
},
"delete resource" : {
"href" : "https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json"
}
}
}

Delete a resource in a workspace

DELETE /api/workspaces/{workspace-id}/resources/{resource-path}

Deletes the resource {resource-path} in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/3c9f17a1-6307-4900-bfea-10d799bb503d/resources/embedded/test.json' -i -X DELETE

Response

204 No Content

No response body provided.